<?php

namespace Factory;


class TaskBranches {

    private $entityManager;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager){
        $this->entityManager = $entityManager;
    }

    public function createTaskBranch(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Organization $organization, $task, $status)
    {
        $entity = new \Zeedhi\DevOps\Model\Projectmanagement\Entities\TaskBranches();
        $entity->setOrganization($organization);
        $entity->setTask($task);
        $entity->setStatus($status);
        return $entity;
    }

} 